List providers - Barndoor Documentation
List providers
cURL
curl --request GET \
--url https://app.barndoor.ai/api/llm-gateway/admin/providers \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://app.barndoor.ai/api/llm-gateway/admin/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.barndoor.ai/api/llm-gateway/admin/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/admin/providers",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.barndoor.ai/api/llm-gateway/admin/providers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://app.barndoor.ai/api/llm-gateway/admin/providers")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://app.barndoor.ai/api/llm-gateway/admin/providers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Example
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "OpenAI Production (US)",
"model_provider": "openai",
"auth_type": "api_key",
"base_url": "<string>",
"enabled": true,
"settings": {},
"catalog_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_timeout_secs": 1800,
"stream_idle_timeout_secs": 900,
"catalog_slug": "<string>"
}
]
Authorizations
- Authorization (header) - JWT obtained through Barndoor's authentication flow. Pass the token verbatim in
Authorization: Bearer <token>. Use the Barndoor SDK's loginInteractive() helper to obtain a token in scripts and notebooks.
Response
- 200 - application/json: List of providers
Response Fields
- id: string
- org_id: string
- name: string
- model_provider: enum
- auth_type: string
- base_url: string
- enabled: boolean
- settings: object
- catalog_id: string | null
- connection_id: string | null
- request_timeout_secs: integer | null
- stream_idle_timeout_secs: integer | null
- catalog_slug: string | null